Returns the Javascript's code

- « MongoDB\BSON\Javascript::jsonSerialize

- MongoDB\BSON\MaxKey »

- PHP Manual
- MongoDB\BSON\Javascript
- Returns the Javascript's code

# MongoDB\BSON\Javascript::__toString

(mongodb >=1.2.0)

MongoDB\BSON\Javascript::__toString — Returns the Javascript's code

### Description

final public MongoDB\BSON\Javascript::__toString(): string

This method is an alias of: MongoDB\BSON\Javascript::getCode().

### Parameters

This function has no parameters.

### Return Values

Returns the Javascript's code.

### Examples

Example #1 MongoDB\BSON\Javascript::__toString() example

    <?php

    var_dump((string) new MongoDB\BSON\Javascript('function foo(bar) { return bar; }'));

    ?>

The above example will output:

    string(33) "function foo(bar) { return bar; }"

### See Also

- MongoDB\BSON\Javascript::getCode() - Returns the Javascript's code
- » BSON Types